searchData={"items":[{"type":"module","title":"EctoPhone","doc":"A custom Ecto type for phone numbers, with configuration for default country\nprefix and formatting style.","ref":"EctoPhone.html"},{"type":"module","title":"Usage - EctoPhone","doc":"The `EctoPhone` type may be used in place of `:string` fields.\n\n``` elixir\ndefmodule MySchema do\n  use Ecto.Schema\n\n  schema \"table_name\" do\n    field :phone, EctoPhone\n    field :phone, EctoPhone, default_prefix: 1\n    field :phone, EctoPhone, format: :national\n  end\nend\n```","ref":"EctoPhone.html#module-usage"},{"type":"module","title":"Configuration - EctoPhone","doc":"``` elixir\nconfig :ecto_phone, default_prefix: 1, default_format: :national\n```\n\n`EctoPhone` may be configured at the application level with the following\noptions.\n\n- `:default_prefix`: A country prefix to use when none is provided by users.\n  Set to `1` if not configured by the application or by the field.\n- `:default_format`: The `ex_phone_number` format to use when printing\n  phone numbers as strings. Defaults to `:international`. Valid options:\n  `:e164`, `:international`, `:national`, `:rfc3966`","ref":"EctoPhone.html#module-configuration"},{"type":"function","title":"EctoPhone.init/1","doc":"Configures a specific field.\n\n``` elixir\nschema \"table_name\" do\n  field :phone, EctoPhone\n  field :phone, EctoPhone, default_prefix: 1\n  field :phone, EctoPhone, format: :national\nend\n```","ref":"EctoPhone.html#init/1"},{"type":"function","title":"EctoPhone.sigil_PHONE/2","doc":"Handles the sigil `~PHONE` for an `EctoPhone` struct.","ref":"EctoPhone.html#sigil_PHONE/2"},{"type":"function","title":"Modifers - EctoPhone.sigil_PHONE/2","doc":"- `e`: Format as `:e164`\n- `i`: Format as `:international`\n- `n`: Format as `:national`","ref":"EctoPhone.html#sigil_PHONE/2-modifers"},{"type":"type","title":"EctoPhone.t/0","doc":"","ref":"EctoPhone.html#t:t/0"},{"type":"exception","title":"EctoPhone.Error","doc":"An error providing information when a phone number may not be parsed.\n\n``` elixir\niex> Exception.message(EctoPhone.Error.exception(type: :format))\n\"expected to be in the format +1 ###-###-####\"\n\niex> Exception.message(EctoPhone.Error.exception(type: :validation))\n\"is not a valid phone number\"\n\niex> Exception.message(EctoPhone.Error.exception(type: :unknown))\n\"is not valid\"\n\niex> Exception.message(EctoPhone.Error.exception(message: \"is the wrong shape\"))\n\"is the wrong shape\"\n```","ref":"EctoPhone.Error.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}